controllers:
    resource:
        path: ../src/Controller/
        namespace: App\Controller
    type: attribute

homepage:
    path:       /{_locale}
    controller: App\Controller\DefaultController::index
    requirements:
        _locale:  en|fr

screens:
    path:       /{_locale}/screenshots/{repSysteme}/{rep}/{idJeu}-{rien}.jpg
    controller: App\Controller\ScreenshotController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idJeu:  \d+

screens_uploades:
    path:       /{_locale}/screens/{repSysteme}/{idJeu}-{rien}
    controller: App\Controller\ScreenshotController::indexUploades
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        
manuals:
    path:       /{_locale}/manual/{repSysteme}/{id}-{rien}.pdf
    controller: App\Controller\ScreenshotController::indexmanual
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        
faqs:
    path:       /{_locale}/faqs/{repSysteme}/{id}-{rien}.pdf
    controller: App\Controller\ScreenshotController::indexfaqs
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

boxarts:
    path:       /{_locale}/boxart/{repSysteme}/{idJeu}-{rien}.jpg
    controller: App\Controller\ScreenshotController::index2
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

boxarts_png:
    path:       /{_locale}/boxart/{repSysteme}/{idJeu}-{rien}.png
    controller: App\Controller\ScreenshotController::index2png
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

boxarts_uploades:
    path:       /{_locale}/box/{repSysteme}/{idJeu}-{rien}
    controller: App\Controller\ScreenshotController::index2Uploades
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

systeme_infos:
    path:       /{_locale}/sys/{idSysteme}-{systemePourUrl}
    controller: App\Controller\SystemeController::infos
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+

systeme_old_old:
    path:      /{_locale}/sys/{idSysteme}/{onglet}
    controller: App\Controller\SystemeController::index
    defaults:
        _locale: en
        page: all
    requirements:
        _locale:  en|fr
        page:  \d+
        idSysteme:  \d+
        onglet:  \d+

systeme_old_old_old:
    path:      /{_locale}/sys/{idSysteme}/{onglet}/{lettre}
    controller: App\Controller\SystemeController::index
    defaults:
        _locale: en
        page: all
    requirements:
        _locale:  en|fr
        page:  \d+
        idSysteme:  \d+
        onglet:  \d+

systeme_old_old_old_old:
    path:      /{_locale}/sys/{idSysteme}/{onglet}/{lettre}/{page}
    controller: App\Controller\SystemeController::index
    defaults:
        _locale: en
        page: all
    requirements:
        _locale:  en|fr
        page:  \d+
        idSysteme:  \d+
        onglet:  \d+

systeme_old:
    path:      /{_locale}/sys/{idSysteme}-{systemePourUrl}/{onglet}
    controller: App\Controller\SystemeController::index
    defaults:
        _locale: en
        page: all
    requirements:
        _locale:  en|fr
        page:  \d+
        idSysteme:  \d+
        onglet:  \d+

systeme3:
    path:      /{_locale}/sys/{idSysteme}-{systemePourUrl}/{onglet}/{lettre}/{page}
    controller: App\Controller\SystemeController::index
    defaults:
        _locale: en
        page: 0
    requirements:
        _locale:  en|fr
        page:  \d+
        idSysteme:  \d+
        onglet:  \d+

recherche:
    path:      /{_locale}/search/{mot}/{systeme}/{genre}/{page}/{tri}
    controller: App\Controller\SearchController::index
    defaults:
        _locale: en
        mot: ''
        systeme: 'all'
        genre: 'all'
        page: 0
        tri: 'default'
    requirements:
        _locale:  en|fr
        page:  \d+

browse_systems_fr:
    path:      /{_locale}/systemes
    controller: App\Controller\SystemeController::liste
    defaults:
        _locale: fr
    requirements:
        _locale:  fr

browse_systems_en:
    path:      /{_locale}/systems
    controller: App\Controller\SystemeController::liste
    defaults:
        _locale: en
    requirements:
        _locale:  en

sitemap_fr:
    path:      /{_locale}/plan-du-site
    controller: App\Controller\SitemapController::index
    defaults:
        _locale: fr
    requirements:
        _locale:  fr

sitemap_en:
    path:      /{_locale}/sitemap
    controller: App\Controller\SitemapController::index
    defaults:
        _locale: en
    requirements:
        _locale: en

privacy_fr:
    path:      /{_locale}/privacy
    controller: App\Controller\PrivacyController::index
    defaults:
        _locale: fr
    requirements:
        _locale: fr

privacy_en:
    path:      /{_locale}/privacy
    controller: App\Controller\PrivacyController::index
    defaults:
        _locale: en
    requirements:
        _locale: en

game:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_bug:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}&sa=U&ei=P9_iU_rMHoTe7AbLkoFo&ved=0CCYQFjAD&usg=AFQjCNHpgkuch_K43Qv3yZfX7Tl_gSumRg/{idJeu}
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_boxarts:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/boxarts
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_reviews:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/reviews
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_reviews_fiche:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/reviews/{idReview}
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+
        idReview:  \d+

game_faqs:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/faqs
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_credits:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/credits
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_cheats:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/cheats
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_videos:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/videos
    controller: Symfony\Bundle\FrameworkBundle\Controller\RedirectController
    #controller: App\Controller\JeuController::index
    defaults:
        _locale: en
        route: 'game'
        permanent: true
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

game_achat:
    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/buy
    controller: App\Controller\JeuController::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idSysteme:  \d+
        onglet:  \d+
        idJeu:  \d+

#game_forum:
#    path:      /{_locale}/game/{titreUrl}/{idSysteme}/{onglet}/{idJeu}/forum
#    controller: App\Controller\JeuController::index
#    defaults:
#        _locale: en
#    requirements:
#        _locale:  en|fr
#        idSysteme:  \d+
#        onglet:  \d+
#        idJeu:  \d+

remove_public:
    path: /{url}
    controller: App\Controller\RedirectingController::removePublic
    requirements:
        url: public/.*$
    methods: [GET]
    
remove_trailing_slash:
    path: /{url}
    controller: App\Controller\RedirectingController::removeTrailingSlash
    requirements:
        url: .*/$
    methods: [GET]

remove_profile_form:
    path: /{url}
    controller: App\Controller\RedirectingController::redirectProfileForm
    requirements:
        url: ../profile/form$

gestion_profile:
    path:      /{_locale}/profile
    controller: App\Controller\DefaultController::profile
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

gestion_profile_review:
    path:      /{_locale}/profile/review/{idReview}
    controller: App\Controller\DefaultController::review
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idReview:  \d+

collection:
    path:      /{_locale}/collection/{idUser}-{nomUser}
    controller: App\Controller\CollectionController::voir
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idUser:  \d+

collection_tout:
    path:      /{_locale}/collection/{idUser}-{nomUser}/all
    controller: App\Controller\CollectionController::voir3
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr
        idUser:  \d+

collection2:
    path:      /{_locale}/collection-search/{idUser}-{nomUser}/{idSysteme}-{systemePourUrl}/{lettre}/{page}/{tri}
    controller: App\Controller\CollectionController::voir2
    defaults:
        _locale: en
        page: 0
        tri: 'default'
        lettre: 'all'
    requirements:
        _locale:  en|fr
        idUser:  \d+
        idSysteme:  \d+
        page:  \d+

collection_codebarre_jeux:
    path:      /{_locale}/collection-barcode-games
    controller: App\Controller\CollectionController::ajaxCodeBarreJeux
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

collection_codebarre_tester:
    path:      /{_locale}/collection-barcode-test
    controller: App\Controller\CollectionController::ajaxCodeBarreTest
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

collection_ajax_jeux:
    path:      /{_locale}/collection-ajax-games
    controller: App\Controller\CollectionController::ajaxJeux
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

collection_ajax_jeu_supprimer:
    path:      /{_locale}/collection-ajax-games-delete
    controller: App\Controller\CollectionController::ajaxJeuSupprimer
    defaults:
        _locale: en
    methods: [get]
    requirements:
        _locale:  en|fr

collection_ajax_systeme_supprimer:
    path:      /{_locale}/collection-ajax-systems-delete
    controller: App\Controller\CollectionController::ajaxSystemeSupprimer
    defaults:
        _locale: en
    methods: [get]
    requirements:
        _locale:  en|fr

collection_ajax_access_supprimer:
    path:      /{_locale}/collection-ajax-access-delete
    controller: App\Controller\CollectionController::ajaxAccessSupprimer
    defaults:
        _locale: en
    methods: [get]
    requirements:
        _locale:  en|fr


sponso1:
    path:      /{_locale}/news-evolution-video-games
    controller: App\Controller\Sponso1Controller::index
    defaults:
        _locale: en
    requirements:
        _locale:  en|fr

sponso2:
    path:      /{_locale}/histoire-du-football-en-france
    controller: App\Controller\Sponso1Controller::index2
    defaults:
        _locale: en
    requirements:
        _locale:  fr

sponso3:
    path:      /{_locale}/choisir-un-jeu-grande-variete
    controller: App\Controller\Sponso1Controller::index3
    defaults:
        _locale: en
    requirements:
        _locale:  fr

sponso4:
    path:      /{_locale}/five-best-games-of-all-times
    controller: App\Controller\Sponso1Controller::index4
    defaults:
        _locale: en
    requirements:
        _locale:  en

sponso5:
    path:      /{_locale}/most-popular-online-casino-games
    controller: App\Controller\Sponso1Controller::index5
    defaults:
        _locale: en
    requirements:
        _locale:  en

adstxt:
    path:      /ads.txt
    controller: App\Controller\GestionAdsController::index

robotstxt:
    path:      /robots.txt
    controller: App\Controller\GestionRobotsController::index
